Page MenuHomePhabricator

Switch to new Encyclopedia of Life github repo
Closed, ResolvedPublic

Description

EOL developer here. I hope this is the right way to make this request! The EOL repository that translatewiki has been submitting translations to (https://github.com/EOL/eol) is deprecated since the site has been rewritten from scratch. The current repo is https://github.com/EOL/eol_website. Please let us know if we can help in any way!

Event Timeline

Eolmv created this task.Jul 2 2019, 3:42 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 2 2019, 3:42 PM
Nikerabbit added subscribers: abi_, Nikerabbit.

This is a correct place.

Change 530774 had a related patch set uploaded (by Abijeet Patro; owner: Abijeet Patro):
[translatewiki@master] Update configuration for EOL to point to the new repo

https://gerrit.wikimedia.org/r/530774

abi_ added a comment.Aug 18 2019, 1:33 PM

Hello @Eolmv

I've started the process of adding the new repository into Translatewiki.

A couple of things where we need inputs from you,

  1. I don't see a qqq.json (message documentation) file in the repo. This is the corresponding file in the old repo.
  2. I've currently added the following to the list of strings that should not be translated, license_group.labels.*, locale_codes.*, required.mark. Please let us know if there are others.
Eolmv added a comment.Aug 21 2019, 2:34 PM

Hello @abi_,

Thanks for the update! I just pushed an empty qqq.yml file to the repo. I can't think of any other strings that shouldn't be translated, but I will check in with the team and report back if we come up with anything else.

Please let me know if you need anything else from me.

Nikerabbit triaged this task as Normal priority.Aug 27 2019, 8:22 AM

Change 530774 merged by jenkins-bot:
[translatewiki@master] Update configuration for EOL to point to the new repo

https://gerrit.wikimedia.org/r/530774

Change 533953 had a related patch set uploaded (by Abijeet Patro; owner: Abijeet Patro):
[translatewiki@master] Fix incorrect ignored tag configuration for EOL

https://gerrit.wikimedia.org/r/533953

Change 533953 merged by jenkins-bot:
[translatewiki@master] Fix incorrect ignored tag configuration for EOL

https://gerrit.wikimedia.org/r/533953

Change 533958 had a related patch set uploaded (by Abijeet Patro; owner: Abijeet Patro):
[translatewiki@master] Fix sourcePattern for the EOL project

https://gerrit.wikimedia.org/r/533958

Change 533958 merged by jenkins-bot:
[translatewiki@master] Fix sourcePattern for the EOL project

https://gerrit.wikimedia.org/r/533958

Change 533963 had a related patch set uploaded (by Abijeet Patro; owner: Abijeet Patro):
[translatewiki@master] Fix the group path in repoconfig.yaml for EOL

https://gerrit.wikimedia.org/r/533963

Change 533963 merged by jenkins-bot:
[translatewiki@master] Fix the group path in repoconfig.yaml for EOL

https://gerrit.wikimedia.org/r/533963

abi_ added a comment.Sep 2 2019, 8:02 PM

Hello @abi_,
Thanks for the update! I just pushed an empty qqq.yml file to the repo. I can't think of any other strings that shouldn't be translated, but I will check in with the team and report back if we come up with anything else.
Please let me know if you need anything else from me.

Thanks @Eolmv. Would it be possible to remove the empty qqq.yml file as it is causing issues with our import process? Its an issue on our end and we'll be fixing it soon, but would be good to remove the file, and finish adding this project before that.

PR to do so - https://github.com/EOL/eol_website/pull/39

abi_ added a comment.EditedSep 3 2019, 9:40 AM

@Eolmv - The translatewiki user on Github does not have permission to push changes to the EOL/eol_website.git repository. Currently getting the following error during exports,

ERROR: Permission to EOL/eol_website.git denied to translatewiki.
fatal: Could not read from remote repository.                           
Please make sure you have the correct access rights
and the repository exists.
Eolmv added a comment.Sep 3 2019, 2:18 PM

@abi_ , I just granted access to translatewiki. Let me know if you need anything else.

abi_ added a comment.Sep 3 2019, 8:05 PM

@Eolmv - We noticed that the key - page_articles (https://github.com/EOL/eol_website/blob/master/config/locales/en.yml#L541) does not have any text. Is that intentional? If so we need to add it to the ignored keys list.

Eolmv added a comment.Sep 5 2019, 2:15 PM

I think this was just a mistake. I've removed the key.

abi_ closed this task as Resolved.Sep 6 2019, 6:22 AM

Can mark this as done as I see that the exports work well. Also tested the validators and see that they are working well.